{
  "Serilog": {
    "Using": [
      "Serilog.Sinks.Console",
      "Serilog.Sinks.File",
      "Serilog.Sinks.Email"
    ],
    "MinimumLevel": {
      "Default": "Information",
      "Override": {
        "Microsoft.AspNetCore": "Warning",
        "Microsoft.Extensions.Hosting": "Information",
        "Microsoft.Hosting.Lifetime": "Information",
        "System.Net.Http.HttpClient": "Warning",
        "CvCleanupJob": "Information",
        "JobScheduler": "Information"
      }
    },
    "WriteTo": [
      {
        "Name": "Console",
        "Args": {
          "outputTemplate": "[{Timestamp:HH:mm:ss} {Level:u3}] {SourceContext}: {Message:lj}{NewLine}{Exception}"
        }
      },
      {
        "Name": "File",
        "Args": {
          "path": "logs/cv-cleanup-job-.log",
          "rollingInterval": "Day",
          "retainedFileCountLimit": 30,
          "outputTemplate": "{Timestamp:yyyy-MM-dd HH:mm:ss.fff zzz} [{Level:u3}] {SourceContext}: {Message:lj}{NewLine}{Exception}"
        }
      },
      {
        "Name": "Email",
        "Args": {
          "restrictedToMinimumLevel": "Error",
          "fromEmail": "",
          "toEmail": "",
          "mailServer": "",
          "networkCredential": {
            "userName": "",
            "password": ""
          },
          "port": 587,
          "enableSsl": true,
          "emailSubject": "[mihes.ro CV cleanup job] Error Alert",
          "outputTemplate": "{Timestamp:yyyy-MM-dd HH:mm:ss.fff zzz} [{Level:u3}] {SourceContext}{NewLine}{Message:lj}{NewLine}{Exception}",
          "batchPostingLimit": 10,
          "period": "0.00:05:00"
        }
      }
    ],
    "Enrich": [
      "FromLogContext",
      "WithMachineName",
      "WithEnvironmentName"
    ]
  },
  "Logging": {
    "LogLevel": {
      "Default": "Information",
      "Microsoft.Hosting.Lifetime": "Information",
      "Microsoft.Extensions.Hosting": "Information",
      "CvCleanupJob": "Information",
      "JobScheduler": "Information"
    }
  },
  "LogEnvironmentOnStartup": true,
  "FileStorage": {
    "Path": "Files"
  },
  "Jobs": {
    "Tasks": [
      {
        "TaskType": "CvStorageCleanup",
        "Enabled": true,
        "Interval": "01:00:00",
        "Parameters": {
          "MaxTotalSizeMegabytes": 40,
          "SearchPattern": "*.pdf",
          "RestrictToCvStyleFileNamesOnly": true
        }
      }
    ]
  }
}
